Airwallex logo

Deposits

Copy for LLMView as Markdown

Deposits are transfers made into your Airwallex account via Global Accounts, Airwallex Pay, or Aggregate Funds for adding funds or collecting funds from third parties.

Endpoints
POST /api/v1/deposits/create
GET /api/v1/deposits/{id}
GET /api/v1/deposits

Create a Deposit Via Direct Debit

POST /api/v1/deposits/create

Deposits funds into your Airwallex account via Direct Debit from a Linked Account.

Request body
amountrequirednumber

The amount of this deposit.

currencyrequiredstring

The currency (3-letter ISO-4217 code) of this deposit.

funding_source_idrequiredstring

The unique identifier of your Linked Account or Funding Source.

request_idrequiredstring

Unique request identifier specified in the request. Should be valid UUID.

deposit_typestring

The type of deposit you would like to create. If not specified, it will default to DIRECT_DEBIT.

DIRECT_DEBIT
FASTER_DIRECT_DEBIT
referencestring

A user specified reference that will be displayed to the bank account owner on the bank statement. 1-10 characters long for USD, 1-18 characters long for AUD.

Response body - 201 Created
amountnumber

The amount of this deposit.

created_atstring

The date time in ISO8601 format when this deposit was created.

currencystring

The currency (3-letter ISO-4217 code) of this deposit.

estimated_settled_atstring

Estimated settlement time of this deposit. With ISO8601 format.

failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

failure_details.iso_codestring

Error code ISO 20022 (details can be found hereDocs).

failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

feeobject

Deposit fee.

fee.amountnumber

Fee amount of this deposit.

fee.currencystring

Fee currency (3-letter ISO-4217 code) of this deposit.

funding_source_idstring

Funding Source unique identifier of this deposit. Applies to DIRECT_DEBIT deposit type. This is the same as your Linked Account unique identifier.

global_account_idstring

Global Account unique identifier of this deposit. Applies to BANK_TRANSFER deposit type. Nullable for deposits via DBS_HK GA.

idstring

A unique identifier of this deposit.

payerobject

The payer of this transfer deposit.

payer.bank_accountobject

The bank account of the payer.

payer.bank_account.au_bsbobject

Australia BSB information.

payer.bank_account.au_bsb.account_numberstring

Financial account number.

payer.bank_account.au_bsb.bsbstring

BSB code.

payer.bank_account.au_payidobject

Australian NPP PayID information.

payer.bank_account.au_payid.account_identifier_typestring

Identifier of PayID.

payer.bank_account.au_payid.account_numberstring

Financial account number.

payer.bank_account.au_payid.bsbstring

BSB code.

payer.bank_account.au_payid.payidstring

Australian NPP PayID.

payer.bank_account.br_bank_codeobject

Brazil bank code information.

payer.bank_account.br_bank_code.account_numberstring

Financial account number.

payer.bank_account.br_bank_code.bank_codestring

bankCode

payer.bank_account.br_bank_code.branch_codestring

branchCode

payer.bank_account.br_bank_code.ispbstring

ispb code.

payer.bank_account.ca_institution_numberobject

Canada institution number information.

payer.bank_account.ca_institution_number.account_numberstring

Financial account number.

payer.bank_account.ca_institution_number.institution_numberstring

Institution number.

payer.bank_account.ca_institution_number.transit_numberstring

Branch transit number.

payer.bank_account.cn_cnaps_codeobject

China cnaps code information.

payer.bank_account.cn_cnaps_code.account_numberstring

Financial account number.

payer.bank_account.cn_cnaps_code.cnaps_codestring

Cnaps code.

payer.bank_account.dk_bank_codeobject

Denmark bank code information.

payer.bank_account.dk_bank_code.account_numberstring

Financial account number.

payer.bank_account.dk_bank_code.bank_codestring

Bank code.

payer.bank_account.gb_sort_codeobject

Greate Britain sort code information.

payer.bank_account.gb_sort_code.account_numberstring

Financial account number.

payer.bank_account.gb_sort_code.sort_codestring

Sort code.

payer.bank_account.hk_bank_codeobject

Hong Kong bank code information.

payer.bank_account.hk_bank_code.account_numberstring

Financial account number.

payer.bank_account.hk_bank_code.bank_codestring

Bank code.

payer.bank_account.hk_bank_code.branch_codestring

Branch code.

payer.bank_account.ibanobject

IBAN information.

payer.bank_account.iban.ibanstring

International Bank Account Number.

payer.bank_account.institutionobject

The institution of the financial account.

payer.bank_account.institution.country_codestring

Country of the institution (2-letter ISO 3166-2 country code).

payer.bank_account.institution.namestring

Institution name.

payer.bank_account.institution.swift_codestring

Bank SWIFT code.

payer.bank_account.jp_bank_codeobject

Japan bank code information.

payer.bank_account.jp_bank_code.account_numberstring

Financial account number.

payer.bank_account.jp_bank_code.bank_codestring

Bank code.

payer.bank_account.jp_bank_code.branch_codestring

Branch code.

payer.bank_account.kr_bank_codeobject

Korea bank code information.

payer.bank_account.kr_bank_code.account_numberstring

Financial account number.

payer.bank_account.kr_bank_code.bank_codestring

Bank code.

payer.bank_account.kr_bank_code.branch_codestring

Branch code.

payer.bank_account.mx_bank_codeobject

Mexico bank code information.

payer.bank_account.mx_bank_code.account_numberstring

Financial account number.

payer.bank_account.mx_bank_code.bank_codestring

Bank code.

payer.bank_account.mx_bank_code.branch_office_codestring

Branch office code.

payer.bank_account.mx_bank_code.control_digitstring

Control digit.

payer.bank_account.namestring

Financial account name.

payer.bank_account.nz_bank_codeobject

New Zealand bank code information.

payer.bank_account.nz_bank_code.account_numberstring

Financial account number.

payer.bank_account.nz_bank_code.bank_codestring

Bank code.

payer.bank_account.nz_bank_code.branch_codestring

Branch code.

payer.bank_account.nz_bank_code.suffixstring

Financial account number suffix.

payer.bank_account.partialobject

Partial bank information.

payer.bank_account.partial.account_numberstring

Financial account number.

payer.bank_account.partial.account_routing_type1string

Routing code type.

payer.bank_account.partial.account_routing_type2string

Routing code sub type.

payer.bank_account.partial.account_routing_value1string

Routing code type value.

payer.bank_account.partial.account_routing_value2string

Routing code sub type value.

payer.bank_account.ph_bank_codeobject

Philippines bank code information.

payer.bank_account.ph_bank_code.account_numberstring

Financial account number.

payer.bank_account.ph_bank_code.bank_codestring

Bank code.

payer.bank_account.swift_codeobject

SWIFT information.

payer.bank_account.swift_code.account_numberstring

Financial account number.

payer.bank_account.swift_code.swift_codestring

SWIFT code.

payer.bank_account.typestring

The type of the bank account identifier.

AU_BSB
AU_PAYID
BR_BANK_CODE
CA_INSTITUTION_NUMBER
GB_SORT_CODE
HK_BANK_CODE
JP_BANK_CODE
NZ_BANK_CODE
US_ACH
US_WIRE
CN_CNAPS_CODE
PARTIAL
IBAN
MX_BANK_CODE
SWIFT_CODE
KR_BANK_CODE
DK_BANK_CODE
PH_BANK_CODE
payer.bank_account.us_achobject

United States ACH information.

payer.bank_account.us_ach.account_numberstring

Financial account number.

payer.bank_account.us_ach.achstring

ACH routing number.

payer.bank_account.us_wireobject

United States wire information.

payer.bank_account.us_wire.account_numberstring

Financial account number.

payer.bank_account.us_wire.wirestring

Wire routing number.

payer.country_codestring

Country of the payer (2-letter ISO 3166-2 country code).

payer.digital_walletobject

The digital wallet of the payer.

payer.digital_wallet.account_namestring

Account holder name of the payer's digital wallet.

payer.digital_wallet.providerstring

Service provider of the payer's digital wallet.

payer.digital_wallet.id_typestring

Account identifier type of the payer's digital wallet.

payer.digital_wallet.id_valuestring

Account identifier value of the payer's digital wallet.

payer.namestring

The name of the payer.

payer.stablecoin_walletobject

The stablecoin wallet of the payer.

payer.stablecoin_wallet.addressstring

The blockchain address of the sender.

payer.stablecoin_wallet.assetstring

The stablecoin asset.

payer.stablecoin_wallet.networkstring

The blockchain network.

provider_transaction_idstring

The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases.

referencestring

A user specific reference that will be displayed to the bank account owner on the bank statement.

settled_atstring

Actual settlement time of this deposit. With ISO8601 format.

statusstring

Status of this deposit.

PENDING
SETTLED
REJECTED
REVERSED
typestring

Type of this deposit.

BANK_TRANSFER
DIRECT_DEBIT
DIGITAL_WALLET_TRANSFER
AGGREGATE_FUNDS
STABLECOIN_TRANSFER
Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/deposits/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/deposits/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 12794.27,
> "currency": "USD",
> "deposit_type": "DIRECT_DEBIT",
> "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
> "reference": "test ref",
> "request_id": "c559d7fe-d911-4f3d-a937-7c24ba4b732a"
>}'
Response (201 Created)
1{
2 "amount": 12794.27,
3 "created_at": "2017-03-20T14:00:01+1100",
4 "currency": "USD",
5 "estimated_settled_at": "2017-03-22T14:00:00+0000",
6 "failure_details": {
7 "code": "insufficient_funds",
8 "iso_code": "AM04",
9 "provider_failure_details": {
10 "code": "R01",
11 "local_clearing_system": "US_ACH",
12 "message": "INSUFFICIENT FUNDS"
13 }
14 },
15 "fee": {
16 "amount": 1.28,
17 "currency": "USD"
18 },
19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
21 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
22 "payer": {
23 "bank_account": {
24 "au_bsb": {
25 "account_number": "89098199202",
26 "bsb": "063001"
27 },
28 "au_payid": {
29 "account_identifier_type": "EMAIL_ADDRESS",
30 "account_number": "89098199202",
31 "bsb": "063001",
32 "payid": "[email protected]"
33 },
34 "br_bank_code": {
35 "account_number": "89098199202",
36 "bank_code": "712",
37 "branch_code": "0001",
38 "ispb": "78632767"
39 },
40 "ca_institution_number": {
41 "account_number": "89098199202",
42 "institution_number": "010",
43 "transit_number": "12345"
44 },
45 "cn_cnaps_code": {
46 "account_number": "89098199202",
47 "cnaps_code": "1234"
48 },
49 "dk_bank_code": {
50 "account_number": "89098199202",
51 "bank_code": "003"
52 },
53 "gb_sort_code": {
54 "account_number": "89098199202",
55 "sort_code": "608382"
56 },
57 "hk_bank_code": {
58 "account_number": "89098199202",
59 "bank_code": "003",
60 "branch_code": "1234"
61 },
62 "iban": {
63 "iban": "GB81LHVB04032900176471"
64 },
65 "institution": {
66 "country_code": "US",
67 "name": "tester bank",
68 "swift_code": "DBSSSGSG"
69 },
70 "jp_bank_code": {
71 "account_number": "89098199202",
72 "bank_code": "003",
73 "branch_code": "1234"
74 },
75 "kr_bank_code": {
76 "account_number": "89098199202",
77 "bank_code": "003",
78 "branch_code": "003123"
79 },
80 "mx_bank_code": {
81 "account_number": "89098199202",
82 "bank_code": "03",
83 "branch_office_code": "1234",
84 "control_digit": "1"
85 },
86 "name": "tester",
87 "nz_bank_code": {
88 "account_number": "89098199202",
89 "bank_code": "03",
90 "branch_code": "1234",
91 "suffix": "12"
92 },
93 "partial": {
94 "account_number": "89098199202",
95 "account_routing_type1": "sort_code",
96 "account_routing_type2": "sort_code",
97 "account_routing_value1": "040329",
98 "account_routing_value2": "040329"
99 },
100 "ph_bank_code": {
101 "account_number": "7052902318500429",
102 "bank_code": "011070016"
103 },
104 "swift_code": {
105 "account_number": "89098199202",
106 "swift_code": "DBSSSGSG"
107 },
108 "type": "AU_BSB",
109 "us_ach": {
110 "account_number": "89098199202",
111 "ach": "084106768"
112 },
113 "us_wire": {
114 "account_number": "89098199202",
115 "wire": "084106768"
116 }
117 },
118 "country_code": "US",
119 "digital_wallet": {
120 "account_name": "John Walker Corporation",
121 "id_type": "account_number",
122 "id_value": "1033106816639334",
123 "provider": "AIRWALLEX"
124 },
125 "name": "tester"
126 },
127 "provider_transaction_id": "5487287788",
128 "reference": "5487287788",
129 "settled_at": "2017-03-22T14:00:00+0000",
130 "status": "SETTLED",
131 "type": "BANK_TRANSFER"
132}
Was this section helpful?

Retrieve a Deposit

GET /api/v1/deposits/{id}

Retrieves details of a deposit using the given deposit unique identifier.

Path parameters
idrequiredstring

The unique identifier of the Deposit to retrieve.

Response body - 200 OK
amountnumber

The amount of this deposit.

created_atstring

The date time in ISO8601 format when this deposit was created.

currencystring

The currency (3-letter ISO-4217 code) of this deposit.

estimated_settled_atstring

Estimated settlement time of this deposit. With ISO8601 format.

failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

failure_details.codestring

Error code (details can be found hereDocs).

failure_details.iso_codestring

Error code ISO 20022 (details can be found hereDocs).

failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

feeobject

Deposit fee.

fee.amountnumber

Fee amount of this deposit.

fee.currencystring

Fee currency (3-letter ISO-4217 code) of this deposit.

funding_source_idstring

Funding Source unique identifier of this deposit. Applies to DIRECT_DEBIT deposit type. This is the same as your Linked Account unique identifier.

global_account_idstring

Global Account unique identifier of this deposit. Applies to BANK_TRANSFER deposit type. Nullable for deposits via DBS_HK GA.

idstring

A unique identifier of this deposit.

payerobject

The payer of this transfer deposit.

payer.bank_accountobject

The bank account of the payer.

payer.bank_account.au_bsbobject

Australia BSB information.

payer.bank_account.au_bsb.account_numberstring

Financial account number.

payer.bank_account.au_bsb.bsbstring

BSB code.

payer.bank_account.au_payidobject

Australian NPP PayID information.

payer.bank_account.au_payid.account_identifier_typestring

Identifier of PayID.

payer.bank_account.au_payid.account_numberstring

Financial account number.

payer.bank_account.au_payid.bsbstring

BSB code.

payer.bank_account.au_payid.payidstring

Australian NPP PayID.

payer.bank_account.br_bank_codeobject

Brazil bank code information.

payer.bank_account.br_bank_code.account_numberstring

Financial account number.

payer.bank_account.br_bank_code.bank_codestring

bankCode

payer.bank_account.br_bank_code.branch_codestring

branchCode

payer.bank_account.br_bank_code.ispbstring

ispb code.

payer.bank_account.ca_institution_numberobject

Canada institution number information.

payer.bank_account.ca_institution_number.account_numberstring

Financial account number.

payer.bank_account.ca_institution_number.institution_numberstring

Institution number.

payer.bank_account.ca_institution_number.transit_numberstring

Branch transit number.

payer.bank_account.cn_cnaps_codeobject

China cnaps code information.

payer.bank_account.cn_cnaps_code.account_numberstring

Financial account number.

payer.bank_account.cn_cnaps_code.cnaps_codestring

Cnaps code.

payer.bank_account.dk_bank_codeobject

Denmark bank code information.

payer.bank_account.dk_bank_code.account_numberstring

Financial account number.

payer.bank_account.dk_bank_code.bank_codestring

Bank code.

payer.bank_account.gb_sort_codeobject

Greate Britain sort code information.

payer.bank_account.gb_sort_code.account_numberstring

Financial account number.

payer.bank_account.gb_sort_code.sort_codestring

Sort code.

payer.bank_account.hk_bank_codeobject

Hong Kong bank code information.

payer.bank_account.hk_bank_code.account_numberstring

Financial account number.

payer.bank_account.hk_bank_code.bank_codestring

Bank code.

payer.bank_account.hk_bank_code.branch_codestring

Branch code.

payer.bank_account.ibanobject

IBAN information.

payer.bank_account.iban.ibanstring

International Bank Account Number.

payer.bank_account.institutionobject

The institution of the financial account.

payer.bank_account.institution.country_codestring

Country of the institution (2-letter ISO 3166-2 country code).

payer.bank_account.institution.namestring

Institution name.

payer.bank_account.institution.swift_codestring

Bank SWIFT code.

payer.bank_account.jp_bank_codeobject

Japan bank code information.

payer.bank_account.jp_bank_code.account_numberstring

Financial account number.

payer.bank_account.jp_bank_code.bank_codestring

Bank code.

payer.bank_account.jp_bank_code.branch_codestring

Branch code.

payer.bank_account.kr_bank_codeobject

Korea bank code information.

payer.bank_account.kr_bank_code.account_numberstring

Financial account number.

payer.bank_account.kr_bank_code.bank_codestring

Bank code.

payer.bank_account.kr_bank_code.branch_codestring

Branch code.

payer.bank_account.mx_bank_codeobject

Mexico bank code information.

payer.bank_account.mx_bank_code.account_numberstring

Financial account number.

payer.bank_account.mx_bank_code.bank_codestring

Bank code.

payer.bank_account.mx_bank_code.branch_office_codestring

Branch office code.

payer.bank_account.mx_bank_code.control_digitstring

Control digit.

payer.bank_account.namestring

Financial account name.

payer.bank_account.nz_bank_codeobject

New Zealand bank code information.

payer.bank_account.nz_bank_code.account_numberstring

Financial account number.

payer.bank_account.nz_bank_code.bank_codestring

Bank code.

payer.bank_account.nz_bank_code.branch_codestring

Branch code.

payer.bank_account.nz_bank_code.suffixstring

Financial account number suffix.

payer.bank_account.partialobject

Partial bank information.

payer.bank_account.partial.account_numberstring

Financial account number.

payer.bank_account.partial.account_routing_type1string

Routing code type.

payer.bank_account.partial.account_routing_type2string

Routing code sub type.

payer.bank_account.partial.account_routing_value1string

Routing code type value.

payer.bank_account.partial.account_routing_value2string

Routing code sub type value.

payer.bank_account.ph_bank_codeobject

Philippines bank code information.

payer.bank_account.ph_bank_code.account_numberstring

Financial account number.

payer.bank_account.ph_bank_code.bank_codestring

Bank code.

payer.bank_account.swift_codeobject

SWIFT information.

payer.bank_account.swift_code.account_numberstring

Financial account number.

payer.bank_account.swift_code.swift_codestring

SWIFT code.

payer.bank_account.typestring

The type of the bank account identifier.

AU_BSB
AU_PAYID
BR_BANK_CODE
CA_INSTITUTION_NUMBER
GB_SORT_CODE
HK_BANK_CODE
JP_BANK_CODE
NZ_BANK_CODE
US_ACH
US_WIRE
CN_CNAPS_CODE
PARTIAL
IBAN
MX_BANK_CODE
SWIFT_CODE
KR_BANK_CODE
DK_BANK_CODE
PH_BANK_CODE
payer.bank_account.us_achobject

United States ACH information.

payer.bank_account.us_ach.account_numberstring

Financial account number.

payer.bank_account.us_ach.achstring

ACH routing number.

payer.bank_account.us_wireobject

United States wire information.

payer.bank_account.us_wire.account_numberstring

Financial account number.

payer.bank_account.us_wire.wirestring

Wire routing number.

payer.country_codestring

Country of the payer (2-letter ISO 3166-2 country code).

payer.digital_walletobject

The digital wallet of the payer.

payer.digital_wallet.account_namestring

Account holder name of the payer's digital wallet.

payer.digital_wallet.providerstring

Service provider of the payer's digital wallet.

payer.digital_wallet.id_typestring

Account identifier type of the payer's digital wallet.

payer.digital_wallet.id_valuestring

Account identifier value of the payer's digital wallet.

payer.namestring

The name of the payer.

payer.stablecoin_walletobject

The stablecoin wallet of the payer.

payer.stablecoin_wallet.addressstring

The blockchain address of the sender.

payer.stablecoin_wallet.assetstring

The stablecoin asset.

payer.stablecoin_wallet.networkstring

The blockchain network.

provider_transaction_idstring

The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases.

referencestring

A user specific reference that will be displayed to the bank account owner on the bank statement.

settled_atstring

Actual settlement time of this deposit. With ISO8601 format.

statusstring

Status of this deposit.

PENDING
SETTLED
REJECTED
REVERSED
typestring

Type of this deposit.

BANK_TRANSFER
DIRECT_DEBIT
DIGITAL_WALLET_TRANSFER
AGGREGATE_FUNDS
STABLECOIN_TRANSFER
Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/deposits/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/deposits/deposit_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "amount": 12794.27,
3 "created_at": "2017-03-20T14:00:01+1100",
4 "currency": "USD",
5 "estimated_settled_at": "2017-03-22T14:00:00+0000",
6 "failure_details": {
7 "code": "insufficient_funds",
8 "iso_code": "AM04",
9 "provider_failure_details": {
10 "code": "R01",
11 "local_clearing_system": "US_ACH",
12 "message": "INSUFFICIENT FUNDS"
13 }
14 },
15 "fee": {
16 "amount": 1.28,
17 "currency": "USD"
18 },
19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
21 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
22 "payer": {
23 "bank_account": {
24 "au_bsb": {
25 "account_number": "89098199202",
26 "bsb": "063001"
27 },
28 "au_payid": {
29 "account_identifier_type": "EMAIL_ADDRESS",
30 "account_number": "89098199202",
31 "bsb": "063001",
32 "payid": "[email protected]"
33 },
34 "br_bank_code": {
35 "account_number": "89098199202",
36 "bank_code": "712",
37 "branch_code": "0001",
38 "ispb": "78632767"
39 },
40 "ca_institution_number": {
41 "account_number": "89098199202",
42 "institution_number": "010",
43 "transit_number": "12345"
44 },
45 "cn_cnaps_code": {
46 "account_number": "89098199202",
47 "cnaps_code": "1234"
48 },
49 "dk_bank_code": {
50 "account_number": "89098199202",
51 "bank_code": "003"
52 },
53 "gb_sort_code": {
54 "account_number": "89098199202",
55 "sort_code": "608382"
56 },
57 "hk_bank_code": {
58 "account_number": "89098199202",
59 "bank_code": "003",
60 "branch_code": "1234"
61 },
62 "iban": {
63 "iban": "GB81LHVB04032900176471"
64 },
65 "institution": {
66 "country_code": "US",
67 "name": "tester bank",
68 "swift_code": "DBSSSGSG"
69 },
70 "jp_bank_code": {
71 "account_number": "89098199202",
72 "bank_code": "003",
73 "branch_code": "1234"
74 },
75 "kr_bank_code": {
76 "account_number": "89098199202",
77 "bank_code": "003",
78 "branch_code": "003123"
79 },
80 "mx_bank_code": {
81 "account_number": "89098199202",
82 "bank_code": "03",
83 "branch_office_code": "1234",
84 "control_digit": "1"
85 },
86 "name": "tester",
87 "nz_bank_code": {
88 "account_number": "89098199202",
89 "bank_code": "03",
90 "branch_code": "1234",
91 "suffix": "12"
92 },
93 "partial": {
94 "account_number": "89098199202",
95 "account_routing_type1": "sort_code",
96 "account_routing_type2": "sort_code",
97 "account_routing_value1": "040329",
98 "account_routing_value2": "040329"
99 },
100 "ph_bank_code": {
101 "account_number": "7052902318500429",
102 "bank_code": "011070016"
103 },
104 "swift_code": {
105 "account_number": "89098199202",
106 "swift_code": "DBSSSGSG"
107 },
108 "type": "AU_BSB",
109 "us_ach": {
110 "account_number": "89098199202",
111 "ach": "084106768"
112 },
113 "us_wire": {
114 "account_number": "89098199202",
115 "wire": "084106768"
116 }
117 },
118 "country_code": "US",
119 "digital_wallet": {
120 "account_name": "John Walker Corporation",
121 "id_type": "account_number",
122 "id_value": "1033106816639334",
123 "provider": "AIRWALLEX"
124 },
125 "name": "tester"
126 },
127 "provider_transaction_id": "5487287788",
128 "reference": "5487287788",
129 "settled_at": "2017-03-22T14:00:00+0000",
130 "status": "SETTLED",
131 "type": "BANK_TRANSFER"
132}
Was this section helpful?

List all Deposits

GET /api/v1/deposits

Returns a list of deposits made into your Airwallex wallet. You can filter the list by specifying a time period. If left unspecified or only the end date is specified, then deposits 30 days in arrears of today or the end date will be returned.

Query parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive).

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive).

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.amountnumber

The amount of this deposit.

items.created_atstring

The date time in ISO8601 format when this deposit was created.

items.currencystring

The currency (3-letter ISO-4217 code) of this deposit.

items.estimated_settled_atstring

Estimated settlement time of this deposit. With ISO8601 format.

items.failure_detailsobject

Empty unless the deposit is in a failure status (REJECTED, REVERSED).

items.failure_details.codestring

Error code (details can be found hereDocs).

items.failure_details.iso_codestring

Error code ISO 20022 (details can be found hereDocs).

items.failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

items.failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

items.failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

items.failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

items.feeobject

Deposit fee.

items.fee.amountnumber

Fee amount of this deposit.

items.fee.currencystring

Fee currency (3-letter ISO-4217 code) of this deposit.

items.funding_source_idstring

Funding Source unique identifier of this deposit. Applies to DIRECT_DEBIT deposit type. This is the same as your Linked Account unique identifier.

items.global_account_idstring

Global Account unique identifier of this deposit. Applies to BANK_TRANSFER deposit type. Nullable for deposits via DBS_HK GA.

items.idstring

A unique identifier of this deposit.

items.payerobject

The payer of this transfer deposit.

items.payer.bank_accountobject

The bank account of the payer.

items.payer.bank_account.au_bsbobject

Australia BSB information.

items.payer.bank_account.au_bsb.account_numberstring

Financial account number.

items.payer.bank_account.au_bsb.bsbstring

BSB code.

items.payer.bank_account.au_payidobject

Australian NPP PayID information.

items.payer.bank_account.au_payid.account_identifier_typestring

Identifier of PayID.

items.payer.bank_account.au_payid.account_numberstring

Financial account number.

items.payer.bank_account.au_payid.bsbstring

BSB code.

items.payer.bank_account.au_payid.payidstring

Australian NPP PayID.

items.payer.bank_account.br_bank_codeobject

Brazil bank code information.

items.payer.bank_account.br_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.br_bank_code.bank_codestring

bankCode

items.payer.bank_account.br_bank_code.branch_codestring

branchCode

items.payer.bank_account.br_bank_code.ispbstring

ispb code.

items.payer.bank_account.ca_institution_numberobject

Canada institution number information.

items.payer.bank_account.ca_institution_number.account_numberstring

Financial account number.

items.payer.bank_account.ca_institution_number.institution_numberstring

Institution number.

items.payer.bank_account.ca_institution_number.transit_numberstring

Branch transit number.

items.payer.bank_account.cn_cnaps_codeobject

China cnaps code information.

items.payer.bank_account.cn_cnaps_code.account_numberstring

Financial account number.

items.payer.bank_account.cn_cnaps_code.cnaps_codestring

Cnaps code.

items.payer.bank_account.dk_bank_codeobject

Denmark bank code information.

items.payer.bank_account.dk_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.dk_bank_code.bank_codestring

Bank code.

items.payer.bank_account.gb_sort_codeobject

Greate Britain sort code information.

items.payer.bank_account.gb_sort_code.account_numberstring

Financial account number.

items.payer.bank_account.gb_sort_code.sort_codestring

Sort code.

items.payer.bank_account.hk_bank_codeobject

Hong Kong bank code information.

items.payer.bank_account.hk_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.hk_bank_code.bank_codestring

Bank code.

items.payer.bank_account.hk_bank_code.branch_codestring

Branch code.

items.payer.bank_account.ibanobject

IBAN information.

items.payer.bank_account.iban.ibanstring

International Bank Account Number.

items.payer.bank_account.institutionobject

The institution of the financial account.

items.payer.bank_account.institution.country_codestring

Country of the institution (2-letter ISO 3166-2 country code).

items.payer.bank_account.institution.namestring

Institution name.

items.payer.bank_account.institution.swift_codestring

Bank SWIFT code.

items.payer.bank_account.jp_bank_codeobject

Japan bank code information.

items.payer.bank_account.jp_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.jp_bank_code.bank_codestring

Bank code.

items.payer.bank_account.jp_bank_code.branch_codestring

Branch code.

items.payer.bank_account.kr_bank_codeobject

Korea bank code information.

items.payer.bank_account.kr_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.kr_bank_code.bank_codestring

Bank code.

items.payer.bank_account.kr_bank_code.branch_codestring

Branch code.

items.payer.bank_account.mx_bank_codeobject

Mexico bank code information.

items.payer.bank_account.mx_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.mx_bank_code.bank_codestring

Bank code.

items.payer.bank_account.mx_bank_code.branch_office_codestring

Branch office code.

items.payer.bank_account.mx_bank_code.control_digitstring

Control digit.

items.payer.bank_account.namestring

Financial account name.

items.payer.bank_account.nz_bank_codeobject

New Zealand bank code information.

items.payer.bank_account.nz_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.nz_bank_code.bank_codestring

Bank code.

items.payer.bank_account.nz_bank_code.branch_codestring

Branch code.

items.payer.bank_account.nz_bank_code.suffixstring

Financial account number suffix.

items.payer.bank_account.partialobject

Partial bank information.

items.payer.bank_account.partial.account_numberstring

Financial account number.

items.payer.bank_account.partial.account_routing_type1string

Routing code type.

items.payer.bank_account.partial.account_routing_type2string

Routing code sub type.

items.payer.bank_account.partial.account_routing_value1string

Routing code type value.

items.payer.bank_account.partial.account_routing_value2string

Routing code sub type value.

items.payer.bank_account.ph_bank_codeobject

Philippines bank code information.

items.payer.bank_account.ph_bank_code.account_numberstring

Financial account number.

items.payer.bank_account.ph_bank_code.bank_codestring

Bank code.

items.payer.bank_account.swift_codeobject

SWIFT information.

items.payer.bank_account.swift_code.account_numberstring

Financial account number.

items.payer.bank_account.swift_code.swift_codestring

SWIFT code.

items.payer.bank_account.typestring

The type of the bank account identifier.

AU_BSB
AU_PAYID
BR_BANK_CODE
CA_INSTITUTION_NUMBER
GB_SORT_CODE
HK_BANK_CODE
JP_BANK_CODE
NZ_BANK_CODE
US_ACH
US_WIRE
CN_CNAPS_CODE
PARTIAL
IBAN
MX_BANK_CODE
SWIFT_CODE
KR_BANK_CODE
DK_BANK_CODE
PH_BANK_CODE
items.payer.bank_account.us_achobject

United States ACH information.

items.payer.bank_account.us_ach.account_numberstring

Financial account number.

items.payer.bank_account.us_ach.achstring

ACH routing number.

items.payer.bank_account.us_wireobject

United States wire information.

items.payer.bank_account.us_wire.account_numberstring

Financial account number.

items.payer.bank_account.us_wire.wirestring

Wire routing number.

items.payer.country_codestring

Country of the payer (2-letter ISO 3166-2 country code).

items.payer.digital_walletobject

The digital wallet of the payer.

items.payer.digital_wallet.account_namestring

Account holder name of the payer's digital wallet.

items.payer.digital_wallet.providerstring

Service provider of the payer's digital wallet.

items.payer.digital_wallet.id_typestring

Account identifier type of the payer's digital wallet.

items.payer.digital_wallet.id_valuestring

Account identifier value of the payer's digital wallet.

items.payer.namestring

The name of the payer.

items.payer.stablecoin_walletobject

The stablecoin wallet of the payer.

items.payer.stablecoin_wallet.addressstring

The blockchain address of the sender.

items.payer.stablecoin_wallet.assetstring

The stablecoin asset.

items.payer.stablecoin_wallet.networkstring

The blockchain network.

items.provider_transaction_idstring

The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases.

items.referencestring

A user specific reference that will be displayed to the bank account owner on the bank statement.

items.settled_atstring

Actual settlement time of this deposit. With ISO8601 format.

items.statusstring

Status of this deposit.

PENDING
SETTLED
REJECTED
REVERSED
items.typestring

Type of this deposit.

BANK_TRANSFER
DIRECT_DEBIT
DIGITAL_WALLET_TRANSFER
AGGREGATE_FUNDS
STABLECOIN_TRANSFER
Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/deposits
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/deposits' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "amount": 12794.27,
6 "created_at": "2017-03-20T14:00:01+1100",
7 "currency": "USD",
8 "estimated_settled_at": "2017-03-22T14:00:00+0000",
9 "failure_details": {
10 "code": "insufficient_funds",
11 "iso_code": "AM04",
12 "provider_failure_details": {
13 "code": "R01",
14 "local_clearing_system": "US_ACH",
15 "message": "INSUFFICIENT FUNDS"
16 }
17 },
18 "fee": {
19 "amount": 1.28,
20 "currency": "USD"
21 },
22 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",
23 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",
24 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",
25 "payer": {
26 "bank_account": {
27 "au_bsb": {
28 "account_number": "89098199202",
29 "bsb": "063001"
30 },
31 "au_payid": {
32 "account_identifier_type": "EMAIL_ADDRESS",
33 "account_number": "89098199202",
34 "bsb": "063001",
35 "payid": "[email protected]"
36 },
37 "br_bank_code": {
38 "account_number": "89098199202",
39 "bank_code": "712",
40 "branch_code": "0001",
41 "ispb": "78632767"
42 },
43 "ca_institution_number": {
44 "account_number": "89098199202",
45 "institution_number": "010",
46 "transit_number": "12345"
47 },
48 "cn_cnaps_code": {
49 "account_number": "89098199202",
50 "cnaps_code": "1234"
51 },
52 "dk_bank_code": {
53 "account_number": "89098199202",
54 "bank_code": "003"
55 },
56 "gb_sort_code": {
57 "account_number": "89098199202",
58 "sort_code": "608382"
59 },
60 "hk_bank_code": {
61 "account_number": "89098199202",
62 "bank_code": "003",
63 "branch_code": "1234"
64 },
65 "iban": {
66 "iban": "GB81LHVB04032900176471"
67 },
68 "institution": {
69 "country_code": "US",
70 "name": "tester bank",
71 "swift_code": "DBSSSGSG"
72 },
73 "jp_bank_code": {
74 "account_number": "89098199202",
75 "bank_code": "003",
76 "branch_code": "1234"
77 },
78 "kr_bank_code": {
79 "account_number": "89098199202",
80 "bank_code": "003",
81 "branch_code": "003123"
82 },
83 "mx_bank_code": {
84 "account_number": "89098199202",
85 "bank_code": "03",
86 "branch_office_code": "1234",
87 "control_digit": "1"
88 },
89 "name": "tester",
90 "nz_bank_code": {
91 "account_number": "89098199202",
92 "bank_code": "03",
93 "branch_code": "1234",
94 "suffix": "12"
95 },
96 "partial": {
97 "account_number": "89098199202",
98 "account_routing_type1": "sort_code",
99 "account_routing_type2": "sort_code",
100 "account_routing_value1": "040329",
101 "account_routing_value2": "040329"
102 },
103 "ph_bank_code": {
104 "account_number": "7052902318500429",
105 "bank_code": "011070016"
106 },
107 "swift_code": {
108 "account_number": "89098199202",
109 "swift_code": "DBSSSGSG"
110 },
111 "type": "AU_BSB",
112 "us_ach": {
113 "account_number": "89098199202",
114 "ach": "084106768"
115 },
116 "us_wire": {
117 "account_number": "89098199202",
118 "wire": "084106768"
119 }
120 },
121 "country_code": "US",
122 "digital_wallet": {
123 "account_name": "John Walker Corporation",
124 "id_type": "account_number",
125 "id_value": "1033106816639334",
126 "provider": "AIRWALLEX"
127 },
128 "name": "tester"
129 },
130 "provider_transaction_id": "5487287788",
131 "reference": "5487287788",
132 "settled_at": "2017-03-22T14:00:00+0000",
133 "status": "SETTLED",
134 "type": "BANK_TRANSFER"
135 }
136 ]
137}
Was this section helpful?